%define name	libbtctl
%define version 0.11.1
%define release %mkrel 6

%define major 6
%define libname %mklibname btctl %{major}
%define develname %mklibname btctl -d

Name: 	 	%{name}
Summary: 	GNOME bluetooth control library
Version: 	%{version}
Release: 	%{release}
Source0:	http://ftp.gnome.org/pub/GNOME/sources/libbtctl/%{name}-%{version}.tar.bz2
Patch:		libbtctl-0.11.1-format-strings.patch
Patch2:		libbtctl-0.4.1-pydir.patch
Patch3:		libbtctl-0.8.0-crash.patch
Patch4:		libbtctl_fix_broken_check.patch
Patch5:		libbtctl-0.11.1-automake-1.13.patch
URL:		http://usefulinc.com/software/gnome-bluetooth/
License:	GPLv2+
Group:		System/Libraries
BuildRequires:	autoconf2.5 >= 2.54
BuildRequires:	libgnomeui2-devel libGConf2-devel
BuildRequires:	bluez-devel gtk-doc perl-XML-Parser
BuildRequires:	intltool python-devel
BuildRequires:	pygtk2.0-devel
BuildRequires:	openobex-devel >= 1.1

%description
Current features include:
    * Bonobo component to manage the discovery of nearby Bluetooth devices
    * Component will create serial (RFCOMM) connections for clients to devices
    * libbtcl, a GObject wrapper for Bluetooth functionality

Features planned in the near future include:
    * Control-center prefs application to give users overall control over
      devices

%package -n %{libname}
Group:		System/Libraries
Summary:	GNOME bluetooth control library
Requires:	bluez
Provides:	%{name} = %{version}-%{release}

%description -n %{libname}
Current features include:
    * Bonobo component to manage the discovery of nearby Bluetooth devices
    * Component will create serial (RFCOMM) connections for clients to devices
    * libbtcl, a GObject wrapper for Bluetooth functionality

Features planned in the near future include:
    * Control-center prefs application to give users overall control over
      devices

%package -n %{develname}
Group:		Development/C
Summary:	Static libraries and header files from %{name}
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}
Obsoletes:	%mklibname btctl 4 -d
Provides:	%mklibname btctl 4 -d

%description -n %{develname}
Static libraries and header files from %name

%package -n python-%{name}
Group:		Development/Python
Summary:	Bluetooth Python bindings
Conflicts:	%{name} < 0.5.0-2mdk

%description -n python-%{name}
This is the python wrapper for %name.

%prep
%setup -q
%apply_patches
autoreconf -fi

%build
%configure2_5x --enable-shared --disable-mono --disable-static
# parallel build fails
make
										
%install
%makeinstall_std
find %{buildroot} -name '*.la' -delete
%find_lang %{name}

%files -n %{libname} -f %{name}.lang
%{_libdir}/libbtctl.so.%{major}*

%files -n python-%{name}
%{py_platsitedir}/btctl.so

%files -n %{develname}
%doc AUTHORS ChangeLog README
%doc %{_datadir}/gtk-doc/html/%{name}
%{_includedir}/%{name}
%{_libdir}/*.so
%{_libdir}/pkgconfig/%{name}.pc


%changelog

* Sat Jan 12 2013 fwang <fwang> 0.11.1-6.mga3
+ Revision: 357252
- cleanup spec
- fix build with latest automake

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Feb 20 2011 eandry <eandry> 0.11.1-5.mga1
+ Revision: 54958
- drop buildroot and old conditionnal
- imported package libbtctl

